﻿@inherits LayoutComponentBase
@implements IDisposable
@using Microsoft.AspNetCore.Components

<MatAnchorUtils></MatAnchorUtils>
<MatAppBar Style="z-index: 100;" Class="mat">
  <MatAppBarRow>
    <MatAppBarSection>
      <MatIconButton Icon="menu" OnClick="@((e) => MenuButtonClicked())"></MatIconButton>
      <MatAppBarTitle>MatBlazor Test APP for Tennis-Point</MatAppBarTitle>
    </MatAppBarSection>
  </MatAppBarRow>
</MatAppBar>

<MatDrawerContainer Style="width: 100vw; height: 100vh;" Class="mat">
  <MatHidden Breakpoint="@MatBreakpoint.SM" Direction="@MatHiddenDirection.Up" HiddenChanged="@ModelDrawerHiddenChanged">
    <ChildContent>
      <MatDrawer @bind-Opened="@_navMenuOpened" Mode="@MatDrawerMode.Modal">
        <MatAppBarAdjust></MatAppBarAdjust>
        <NavMenu></NavMenu>
      </MatDrawer>
    </ChildContent>
    <ElseContent>
      <MatDrawer @bind-Opened="@_navMenuOpened" Mode="@MatDrawerMode.Dismissible">
        <MatAppBarAdjust></MatAppBarAdjust>
        <NavMenu></NavMenu>
      </MatDrawer>
    </ElseContent>
  </MatHidden>

  <MatDrawerContent Style="padding-left: 25px; padding-right: 25px; padding-top: 15px;">
    <MatAppBarAdjust></MatAppBarAdjust>
    @Body
  </MatDrawerContent>
</MatDrawerContainer>


@code {  

  protected void ModelDrawerHiddenChanged(bool hidden) {
    if (!hidden) {
      _navMenuOpened = false;
    }
  }

  bool _navMenuOpened = true;

  void MenuButtonClicked() {
    _navMenuOpened = !_navMenuOpened;
    this.StateHasChanged();
  }

  protected override async Task OnAfterRenderAsync(bool firstRender) {
    await base.OnAfterRenderAsync(firstRender);
  }

  public void Dispose() {
  }

}